commit:     fa3fe837874f2021abb3d4981c238b6637fa6bac
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 16 21:00:35 2024 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Sep 16 21:07:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa3fe837

app-emulation/protontricks: Bump to 1.12.0, drop old 1.11.1_p20240801

This is basically the same but now officially released. The vdf module was
bundled, but we unbundle it (with upstream's blessing) because our vdf package
is patched. Hopefully vdf upstream will return.

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/protontricks/Manifest                         |  2 +-
 ...s-1.11.1_p20240801.ebuild => protontricks-1.12.0.ebuild} | 13 +++++++------
 2 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/app-emulation/protontricks/Manifest 
b/app-emulation/protontricks/Manifest
index d25b7e4b1441..ffd7cef58a7a 100644
--- a/app-emulation/protontricks/Manifest
+++ b/app-emulation/protontricks/Manifest
@@ -1,2 +1,2 @@
 DIST protontricks-1.10.5.tar.gz 163931 BLAKE2B 
299fd6c77460de3d2fa1b585a1ad3dae857e4b78898c753007b358cc25b82918d33cb31c2028a4b1b562ee6c20b95ebafc532d97e2bc1fa5358464c6a4c1da5c
 SHA512 
305b27ceaf428946a0ed09994173c861da1097c0bd21eebcc8b255bed3c4c50a920f0cc422601fbd44e0af373b71e928096fdd6f4cc2aa05c88126212fb4401f
-DIST protontricks-1.11.1_p20240801.gh.tar.gz 161538 BLAKE2B 
89453482d501ccadf75db00128089c5d734fa5d707252c6a54ec845c4d01c2a9100955e6d96833d5a16ab7a1ac52ab0181b5656cc1a0df7bb362912068139140
 SHA512 
aad2f11bfe08d0aca108e16a7e0f79abcb9f27b608423526a299dd7e224e430e1bc10fe86f29d77e7bea105b6128376c1d9cc30c7c7e5923caa1e6eff8a6f0bf
+DIST protontricks-1.12.0.tar.gz 177554 BLAKE2B 
e9f2d38af1480eb70495b8a15e6c293800a16a5d797e539315ad071856860ef287f406bd9426796a0b121334e24357cbfc19e9b09d51675010fad4f738f2897c
 SHA512 
3671ada90edcca4ea658c6df349ee50d10bcc68013c11b2a0c87cb402514a2f71a8d83f76066d4d9e512e61179cc8c64d0077cd2dc59b7e6648c29aae1695de5

diff --git a/app-emulation/protontricks/protontricks-1.11.1_p20240801.ebuild 
b/app-emulation/protontricks/protontricks-1.12.0.ebuild
similarity index 83%
rename from app-emulation/protontricks/protontricks-1.11.1_p20240801.ebuild
rename to app-emulation/protontricks/protontricks-1.12.0.ebuild
index f85757a20a1a..3d60d3ebfef6 100644
--- a/app-emulation/protontricks/protontricks-1.11.1_p20240801.ebuild
+++ b/app-emulation/protontricks/protontricks-1.12.0.ebuild
@@ -7,15 +7,10 @@ PYTHON_COMPAT=( python3_{10..13} pypy3 )
 DISTUTILS_SINGLE_IMPL=1
 DISTUTILS_USE_PEP517=setuptools
 
-inherit distutils-r1 xdg-utils
-
-COMMIT="f7b1fa33b0438dbd72f7222703f8442e40edc510"
-export SETUPTOOLS_SCM_PRETEND_VERSION="${PV%_p*}"
+inherit distutils-r1 pypi xdg-utils
 
 DESCRIPTION="app-emulation/winetricks wrapper for Proton (Steam Play) games"
 HOMEPAGE="https://github.com/Matoking/protontricks";
-SRC_URI="https://github.com/Matoking/${PN}/archive/${COMMIT}.tar.gz -> 
${P}.gh.tar.gz"
-S="${WORKDIR}/${PN}-${COMMIT}"
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~amd64"
@@ -37,6 +32,12 @@ DOCS=( CHANGELOG.md README.md )
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       default
+       sed -i "/^from /s/\._vdf/vdf/g" src/protontricks/steam.py || die
+       rm -r src/protontricks/_vdf || die
+}
+
 pkg_postinst() {
        xdg_desktop_database_update
 

Reply via email to